Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598593 - Best clocksource on 2.6.18-194.el5.x86_64 kernel is jiffies
Summary: Best clocksource on 2.6.18-194.el5.x86_64 kernel is jiffies
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 17:03 UTC by Matthew Whitehead
Modified: 2010-08-26 15:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-04 14:31:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthew Whitehead 2010-06-01 17:03:13 UTC
Description of problem: Best clocksource on 2.6.18-194.el5.x86_64 kernel is jiffies


Version-Release number of selected component (if applicable): kernel 2.6.18-194.el5.x86_64


How reproducible: 100% on available hardware


Steps to Reproduce:
1. cat /sys/devices/system/clocksource/clocksource0/available_clocksource
2.
3.
  
Actual results: jiffies


Expected results: tsc, hpet, and pit


Additional info:

Comment 1 Prarit Bhargava 2010-06-04 14:31:17 UTC
Hi,

/sys does not report a valid clock for x86_64.  This is a known discrepancy on the arch and in RHEL5.

P.


Note You need to log in before you can comment on or make changes to this bug.